Categories:
  - Security
  - Multimedia
License: GPL-3.0-or-later
AuthorName: Thomas Nibler
AuthorEmail: cryptocam@tnibler.de
WebSite: https://cryptocam.gitlab.io
SourceCode: https://gitlab.com/cryptocam/cryptocam/tree/HEAD
IssueTracker: https://gitlab.com/cryptocam/cryptocam/issues

AutoName: Cryptocam

RepoType: git
Repo: https://gitlab.com/cryptocam/cryptocam

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    build: ANDROID_SDK_HOME=$$SDK$$ ANDROID_SDK_ROOT=$$SDK$$ ANDROID_NDK_HOME=$$NDK$$
        ./complete_build.sh
    ndk: r21d

  - versionName: '1.1'
    versionCode: 3
    commit: v1.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    build: ANDROID_SDK_HOME=$$SDK$$ ANDROID_SDK_ROOT=$$SDK$$ ANDROID_NDK_HOME=$$NDK$$
        ./complete_build.sh
    ndk: r21d

  - versionName: 1.1.3
    versionCode: 5
    commit: v1.1.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    build: ANDROID_SDK_HOME=$$SDK$$ ANDROID_SDK_ROOT=$$SDK$$ ANDROID_NDK_HOME=$$NDK$$
        ./complete_build.sh
    ndk: r21d

  - versionName: 1.2.0
    versionCode: 6
    commit: v1.2.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    build: ANDROID_SDK_HOME=$$SDK$$ ANDROID_SDK_ROOT=$$SDK$$ ANDROID_NDK_HOME=$$NDK$$
        ./complete_build.sh
    ndk: r21e

  - versionName: 1.2.3
    versionCode: 8
    commit: v1.2.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    build: ANDROID_SDK_HOME=$$SDK$$ ANDROID_SDK_ROOT=$$SDK$$ ANDROID_NDK_HOME=$$NDK$$
        ./complete_build.sh
    ndk: r21e

  - versionName: 2.0.0
    versionCode: 10
    commit: v2.0.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

  - versionName: 2.0.2
    versionCode: 11
    commit: v2.0.2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

  - versionName: 2.0.3
    versionCode: 12
    commit: v2.0.3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

  - versionName: 2.1.0
    versionCode: 13
    commit: v2.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

  - versionName: 2.1.1
    versionCode: 14
    commit: v2.1.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

  - versionName: 2.2.0
    versionCode: 15
    commit: v2.2.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

  - versionName: 2.3.0
    versionCode: 16
    commit: cd6428679b8eb36c616607ef6a1f44ac75ec8990
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    prebuild: $$SDK$$/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;29.0.3'
        > /dev/null
    build:
      - export GOPATH="$PWD/gopath"
      - export PATH=$PATH:$GOPATH/bin
      - go get golang.org/x/mobile/cmd/gomobile
      - export ANDROID_SDK_HOME=$$SDK$$
      - export ANDROID_NDK_HOME=$$NDK$$
      - mkdir libs
      - cd ../age-encryption
      - gomobile init
      - gomobile bind -o ../app/libs/encrypted_writer.aar tnibler.com/cryptocam-age-encryption
    ndk: r21e

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.3.0
CurrentVersionCode: 16
